XMLReader::getAttribute
XMLReader::getAttributeNs
XMLReader
PHP Manual

# XMLReader::getAttributeNo

(PHP 5 >= 5.1.2)

XMLReader::getAttributeNo — Get the value of an attribute by index

### Description

string XMLReader::getAttributeNo ( int `$index` )

Returns the value of an attribute based on its position or an empty string if attribute does not exist or not positioned on an element node.

### Parameters

`index`

  The position of the attribute.

### Return Values

The value of the attribute, or an empty string if no attribute exists at `index` or not positioned of element.

### See Also

- XMLReader::getAttribute
- XMLReader::getAttributeNs

XMLReader::getAttribute
XMLReader::getAttributeNs
XMLReader
PHP Manual